# Struct ethcore::trace::filter::Filter [−] [src]

    pub struct Filter {
        pub range: Range<usize>,
        pub from_address: AddressesFilter,
        pub to_address: AddressesFilter,
    }

Traces filter.

## Fields

`range: Range<usize>`

Block range.

`from_address: AddressesFilter`

From address filter.

`to_address: AddressesFilter`

To address filter.

## Methods

### `impl Filter`
[src]

#### `fn matches(&self, trace: &FlatTrace) -> bool`

Returns true if given trace matches the filter.

## Trait Implementations

### `impl Debug for Filter`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl BloomFilter for Filter`
[src]

#### `fn bloom_possibilities(&self) -> Vec<Bloom>`

All bloom possibilities that we are searching for.

#### `fn range(&self) -> Range<Number>`

Range of search.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)